Subject: Hyperlinks gone for first story of two-storied *Help* buffers
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sat, 28 Nov 2020 03:13:54 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Look at this weird *Help* screen,

Note the four non-hyperlinked items?

> How did you get that, Jacobson?
> I can't get such a two-storied *Help* buffer with either C-h f nor C-h v.
> Are you taking the wrong prescption drugs?

It's a long story:
$ emacs -Q
 C-h f			;; describe-function
 s			;; self-insert-command
 o			;; self-insert-command
 -			;; self-insert-command
 l			;; self-insert-command
 o			;; self-insert-command
 n			;; self-insert-command
 g			;; self-insert-command
 <return>		;; minibuffer-complete-and-exit
 C-x o			;; other-window
 <tab>			;; forward-button
 <tab>			;; forward-button
 <return>		;; push-button
 C-x 1			;; delete-other-windows
 C-h l			;; view-lossage

Yes, the cursor was on top of
‘global-so-long-mode’
when I did push-button.

Because global-so-long-mode is both a function and a variable, I get the
two-storied *Help* window.

But whoever invented two-storied *Help* windows didn't make sure all the
hyperlinks are hyperlinked.

Sure they are when you do
(describe-function 'global-so-long-mode)
(describe-variable 'global-so-long-mode)
individually. But not when you do them "both at the same time" via the
push-button.

emacs-version "27.1"